Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

pageNumber
integer
default:0

The page to retrieve

Required range: x >= 0
pageSize
integer
default:20

Maximum number of records in the response

Required range: x >= 1
createdBefore
string<date>

Select items created before given date

Example:

"2020-01-15"

createdAfter
string<date>

Select items created after given date

Example:

"2020-01-14"

status
string

Select items that have a specific status. In addition to the live statuses, the value Archived is accepted to filter for archived items.

documentGroupCode
string

Select items that have given documentGroupCode

initiator
string<email>

Select items that have given initiator email address

Example:

"john.doe@example.org"

packageName
string

Select items that have given package name

externalReference
string

Select items that have given external reference

batchId
string<guid>

Optional package batch identifier to filter packages by. A globally unique identifier

Example:

"00000000-0000-0000-0000-000000000000"

sort
enum<string>
default:desc

specify how the result is sorted, default is descending

Available options:
asc,
desc
detailed
boolean
default:true

Specifies whether to return a detailed (true) or a simplified (false) list of packages.

Response

OK

A page of packages in their full representation, returned when the detailed query parameter is true (the default).

PageSize
integer

The requested page size

Example:

20

Total
integer

The total number of items

Example:

1

Items
object[]

The packages on this page, each in full detail.